CMSIS DSP Software Library: arm_cfft_radix4_instance_f32 Struct Reference

Data Fields

# arm_cfft_radix4_instance_f32 Struct Reference

Instance structure for the floating-point CFFT/CIFFT function. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
float32_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor
float32_t | onebyfftLen

## Detailed Description

Instance structure for the floating-point CFFT/CIFFT function.

Examples:

  arm_convolution_example_f32.c, and arm_fft_bin_example_f32.c.

Definition at line 1919 of file arm_math.h.

## Field Documentation

uint16_t arm_cfft_radix4_instance_f32::fftLen

length of the FFT.

Definition at line 1921 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_f32::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Definition at line 1922 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_f32::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Definition at line 1923 of file arm_math.h.

float32_t* arm_cfft_radix4_instance_f32::pTwiddle

points to the twiddle factor table.

Definition at line 1924 of file arm_math.h.

uint16_t* arm_cfft_radix4_instance_f32::pBitRevTable

points to the bit reversal table.

Definition at line 1925 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_f32::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 1926 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_f32::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Definition at line 1927 of file arm_math.h.

float32_t arm_cfft_radix4_instance_f32::onebyfftLen

value of 1/fftLen.

Definition at line 1928 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines